Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## Type-Safe Access to BEA WebLogic Server 9.0 MBeans (Deprecated)

## weblogic.management
Class EncryptionHelper

    java.lang.Object
      weblogic.management.EncryptionHelper

public final class EncryptionHelper
extends Object

This class contains convenience methods for accessing encrypted MBean attributes.

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Constructor Summary
`EncryptionHelper()`

Method Summary
`static byte[]` | `clear(byte[] bytes)` Clears the byte array by replacing each byte with a zero.
`static byte[]` | `encrypt(byte[] bytes)` Encrypts a byte array.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EncryptionHelper

    public EncryptionHelper()

Method Detail

### clear

    public static byte[] clear(byte[] bytes)

  Clears the byte array by replacing each byte with a zero. .

  Parameters:
    `bytes` - A byte array.
  Returns:
    A zero-filled byte array.

### encrypt

    public static final byte[] encrypt(byte[] bytes)
                                throws weblogic.security.internal.encryption.EncryptionServiceException

  Encrypts a byte array.

  A JMX client that invokes setter methods for encrypted attributes in WebLogic Server MBeans does not need to invoke this `encrypt(byte[] bytes)` method: the MBean's setter method is responsible for converting its parameter data to a byte array and encrypting the data.

  Parameters:
    `bytes` - A byte array.
  Returns:
    Encrypted byte array.
  Throws:
    `weblogic.security.internal.encryption.EncryptionServiceException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs90 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD